<template>
  <b-modal
    id="copyActionModal"
    v-model="isOpen"
    :title="$t('actions.copyModalTitle')"
    :cancel-title="$t('Cancel')"
    :ok-title="$t('Continue')"
    @ok="save"
    @cancel="close"
    @close="close"
    @hidden="hidden"
  >
    {{ $t("actions.copyModalDescription") }}
  </b-modal>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  name: "CopyActionModal",
  props: {
    open: {
      required: true,
      default: () => false,
      type: Boolean,
    },
  },
  data() {
    return {
      isOpen: false,
    };
  },
  watch: {
    open() {
      this.isOpen = this.open;
    },
  },
  methods: {
    close() {
      this.isOpen = false;
    },
    hidden() {
      this.$emit("close");
    },
    save() {
      this.$emit("save");
    },
  },
});
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
